部署容器更新配置时提示脚本错误

部署容器更新配置时提示脚本错误

更新时间:2018-10-12 07:52:04

问题描述

部署容器更新配置时提示脚本错误,更换服务器后报同样的错误。错误信息类似如下。
Error: duplicated mapping key at line xx, column x:
      memsawp_limit: 0

问题原因

配置冲突。

解决方案

  1. 通过报错截图,确认是配置文件内包含内存配置冲突。
  2. 编辑模板配置发现有两条内存配置,去掉一条后恢复正常。

适用于

  • 容器服务